---
layout: commands
page_title: 'Commands: TLS'
description: |
  The `consul tls` command interacts with Consul's built in certificate authority. It exposes top-level commands for setting up the CA and generating certificates for agents.
---

# Consul TLS

Command: `consul tls`

The `tls` command is used to help with setting up a CA and certificates for Consul TLS.

## Basic Examples

Create a CA:

```shell-session
$ consul tls ca create
==> Saved consul-agent-ca.pem
==> Saved consul-agent-ca-key.pem
```

Create a client certificate:

```shell-session
$ consul tls cert create -client
==> Using consul-agent-ca.pem and consul-agent-ca-key.pem
==> Saved dc1-client-consul-0.pem
==> Saved dc1-client-consul-0-key.pem
```

For more examples, ask for subcommand help or view the subcommand documentation
by clicking on one of the links in the sidebar.

## Usage

Usage: `consul tls <subcommand> <subcommand> [options]`

For the exact documentation for your Consul version, run `consul tls -h` to
view the complete list of subcommands.

```text
Usage: consul tls <subcommand> <subcommand> [options]

  # ...

Subcommands:
  ca      Helpers for CAs
  cert    Helpers for certificates
```

For more information, examples, and usage about a subcommand, click on the name
of the subcommand in the sidebar or one of the links below:
